<?php
/**
 * ------------------------------------------------------------------------
 * JA Filter Plugin - Hikashop
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2016 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */
 
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

class JFormFieldHikacat extends JFormField
{
	protected $type = 'hikacat';

	protected function getInput()
	{
		require_once(JPATH_PLUGINS.'/jamegafilter/hikashop/helper.php');
		$helper = new HikashopFilterHelper();
		$langs = JLanguageHelper::getLanguages();
		$tag = JFactory::getLanguage()->getTag();
		foreach ($langs as $lang) {
			if ($tag == $lang->lang_code) {
				break;
			}
		}
		$catList = $helper->getCatList(1, $lang);
		$html = '';
		$html = '<select name="'.$this->name.'">';
		$html .= '<option value="1">'.JText::_('COM_JAMEGAFILTER_ALL_CATEGORY').'</option>';
		foreach ($catList AS $cat) {
			if ($cat->category_id != 1) 
			{
				$level = $cat->category_depth - 1;
				$explode = explode('>', $cat->category_name);
				$catName = end ($explode);
				$text = str_repeat( '.&nbsp;&nbsp;', $level).'|_.&nbsp;'.trim($catName);
				$selected = ( $this->value == $cat->category_id ) ? 'selected':'';
				$html .= '<option '.$selected.' value="'.$cat->category_id.'">'.$text.'</option>';
			}
		}
		$html.='</select>';
		return $html;
	}
}