<?php
/**
 * ------------------------------------------------------------------------
 * JA Filter Plugin - Hikashop
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2016 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;
if(!defined('DS')) define('DS', DIRECTORY_SEPARATOR);
if (file_exists(JPATH_ADMINISTRATOR.'/components/com_hikashop/helpers/helper.php')) require_once(JPATH_ADMINISTRATOR.'/components/com_hikashop/helpers/helper.php');
$config = hikashop_config();
$show_compare = $config->get('show_compare');
?>
{#data}
<div class="item product product-item col">
	<div data-container="product-grid" class="product-item-info {?thumbnail}{:else} no-image {/thumbnail}">

		<div class="product-item-details">
			{@info:data}
				<div class="row {._class}">
				  {?.key}<div class="col-md-6">{.key}</div>{/.key}
				  <div class="col-md-{?.key}6{:else}12{/.key}">
				  {@select key=._class}
				  	{@eq value="price"}
						<div data-product-id="{id}" data-role="priceBox" class="price-box price-final_price">
							<span class="price-container price-final_price tax weee">
								<span class="price-wrapper " data-price-type="finalPrice" data-price-amount="{price}" id="product-price-{id}">
									{?fpricewd}<span class="old_price">{fpricewd|s}</span>{/fpricewd}
									<span class="price">{frontend_price|s}</span>
								</span>
							</span>
						</div>
					{/eq}
				  	{@eq value="name"}
						<h4 class="product-item-name">
							<a href="{url}" class="product-item-link">
								{name|s}
							</a>
						</h4>
					{/eq}
					{@eq value="thumb"}
						{?thumbnail}
						<a tabindex="-1" class="product-item-photo" href="{url}">
							<span class="product-image-container">
								<img alt="{name|s}" src="<?php echo JUri::base(true).'/'; ?>{thumbnail}" class="product-image-photo">
							</span>
							{?badgeimg}
								<span class="product-image-badge">
									<img src="<?php echo JUri::base(true).'/'; ?>{badgeimg}" />
								</span>
							{/badgeimg}
						</a>
						{/thumbnail}
					{/eq}
					{@none}
						{.value|s}
					{/none}
				  {/select}
				  </div>
				</div>
			{/info}
		</div>
		<div class="product-item-actions">
			{?is_salable}
			<div class="addtocart-area">
				<form method="post" class="product js-recalculate" action="<?php echo JUri::root(true).'/' ?>index.php?option=com_hikashop&amp;ctrl=product&amp;task=updatecart{menuid}">
					<div class="addtocart-bar">
						<span class="addtocart-button">
							<input {?isNewHikashop}onclick="var field=document.getElementById('hikashop_product_quantity_field_1');if(hikashopCheckChangeForm('item','hikashop_product_form')){ return hikashopModifyQuantity('{id}',field,1,0,'cart'); } else { return false; }"{/isNewHikashop} name="add" class="btn btn-default" value="<?php echo JText::_('COM_JAMEGAFILTER_ADD_TO_CART'); ?>" title="<?php echo JText::_('COM_JAMEGAFILTER_ADD_TO_CART'); ?>" type="submit">  
						</span>             
					</div> 
					<input type="hidden" value="1" name="quantity">
					<input type="hidden" name="product_id" value="{id}">
				</form>
			</div>
			{:else}
			<div class="stock unavailable"><span><?php echo JText::_('COM_JAMEGAFILTER_OUT_STOCK'); ?></span></div>
			<a class="btn btn-default" href="{url}"><?php echo JText::_('COM_JAMEGAFILTER_VIEW_DETAIL'); ?></a>
			{/is_salable}
			<?php if($show_compare == 1): ?>
			<a class="hikabtn hikabtn-compare" onclick="if(window.hikashop.addToCompare) { return window.hikashop.addToCompare(this); }" data-addToCompare="{id}" data-product-name="{name}" data-addTo-class="hika-compare">
				<span><?php echo JText::_('ADD_TO_COMPARE_LIST');?></span>
			</a>
			<?php elseif ($show_compare == 2): ?>
			<label><input type="checkbox" class="hikashop_compare_checkbox" onchange="if(window.hikashop.addToCompare) { return window.hikashop.addToCompare(this); }" data-addToCompare="{id}" data-product-name="{name}" data-addTo-class="hika-compare"><?php echo JText::_('ADD_TO_COMPARE_LIST'); ?></label>
			<?php endif; ?>
		</div>
	</div>
</div>
{/data}